/*
 Theme Name:   Code Crafted Digital
 Theme URI:    https://codecrafteddigital.com
 Description:  Code Crafted Digital GP Child Theme
 Author:       Andrew Nichols
 Author URI:   https://codecrafteddigital.com
 Template:     generatepress
 Version:      0.1
*/


/*--------------------------------------------------------------
# Header
--------------------------------------------------------------*/

.ccd__header--btn {
  display: none !important;
}

.menu-bar-items {
  display: none !important;
}

@media only screen and (min-width: 1315px) {
  .ccd__header--btn {
    display: flex !important;
  }
  .menu-bar-items {
    display: flex !important;
  }
}

button.menu-toggle {
  background: var(--global-color-8) !important;
  border-radius: 5px;
  color: #ffffff !important;
  font-size: 22px !important;
}

.site-header {
  box-shadow: 0px 2px 5px rgb(0 0 0 / 10%);
}

/*--------------------------------------------------------------
# Homepage
--------------------------------------------------------------*/

.home .inside-article {
  padding-top: 0;
}

.home .site-main {
  margin-top: 0;
}

.ccd__product--grid {
  box-shadow: 0px 0px 14px 0px rgb(0 0 0 / 15%);
  border-radius: 5px !important;
}

.ccd__product--grid figcaption {
  background: var(--global-color-8);
  padding: 15px;
  border-bottom-left-radius: 5px;
  border-bottom-right-radius: 5px;
}

.ccd__product--grid img {
  object-fit: contain;
  padding: 10px;
}

.ccd__product--grid {
  color: #000000 !important;
  transition: 0.3s;
}

.ccd__product--grid:hover {
  transform: translatey(-5px);
}

/*--------------------------------------------------------------
# Gravity Forms
--------------------------------------------------------------*/

#gform_1 input[type="submit"],
#gform_2 input[type="submit"]{
  background: #f4b108;
  transition: 0.3s;
}

#gform_1 input[type="submit"]:hover,
#gform_2 input[type="submit"]:hover{
  background: #000;
}


/*--------------------------------------------------------------
# Footer
--------------------------------------------------------------*/

.ccd__footer--links {
	transition:0.3s;
	position:relative;
	
}

.ccd__footer--links:hover {
	transform:translatey(-3px);
}


/*--------------------------------------------------------------
# Off Canvas Menu
--------------------------------------------------------------*/

:root {
  --gp-slideout-width: 100% !important;
}

#generate-slideout-menu:before {
  position: absolute;
  width: 100%;
  height: 100%;
  content: "";
  background: var(--global-color-8);
  background-position: center center;
  background-size: cover;
  z-index: -1;
}

.offside-js--interact .offside,
.offside-js--interact .offside-sliding-element {
  transition: transform 0.5s cubic-bezier(0.16, 0.68, 0.43, 0.99) !important;
  -webkit-backface-visibility: hidden;
  -webkit-perspective: 1000;
}

button.slideout-exit.has-svg-icon {
  display: flex;
  justify-content: flex-end;
  color: #ffffff;
  font-size: 25px;
}


.ccd__offcanvas--btn {
	color:#ffffff!important;
	display:flex!important;
}
